Page MenuHomePhabricator

GSoC Proposal: Improvements to ProofreadPage Extension and Wikisource
Closed, DeclinedPublic

Description

Improvements to ProofreadPage Extension and Wikisource
Name: Scottjeremy (ZENG HAOXIAN on passport)
Email: scottjeremy1006@gmail.com
Blog: http://www.cnblogs.com/scottjeremy
Location: GuangDong, China
Github: https://github.com/scottjeremy
Time zone: (UTC+08:00) BeiJing
Typical working hours: Weekdays 10AM-2PM 6PM-10PM, Weekends: 10AM-10PM

Synopsis

This project aims to improve a proofreadPage extension and Wikisource that fix bug and develop new features.

Possible mentor:Yaron Koren

Deliverables:

ProofreadPage to facilitate the transfer of written content.After the season I will remain as one of the extension maintainers and developers.

Project schedule:
I can begin work as soon as I am accepted by MediaWiki mentors. As I do not have an intensive course schedule, I can keep working in my spare time.
The following schedule is only an estimated one, it may change after further discussion.
Before Coding Phase:Familiar with proofreadPage extension and Wikisource. Read development rules and guide of proofreadPage extension.
week1-2(T67231): fix bug. Search on Special:IndexPages with OR and incategory does not work.
week3(T128298): finish Wikisource index lists.
week4-5(T153120): Convert Index: Pages editing form to OOjsUI.
week6-7(T51482): Create auto-validate privilege.
week8(T146160): Migrate ProofreadPage zoom feature to OOJS.
week9(T153124): Load a higher resolution scan image when zooming in.
week10-11(T161455): Implementing page transclusion into the VisualEditor.
week12-13(T161456): Creating DjVu files with IA-Upload

Participation:
My work style: I did not worry about anything until work was done. When I develop an application, it must have some bugs and I don’t know how to fix it. But here are the best things in the world: Google search engine. Generally I can find the answer. When the Google and StackOverFlow search can not solve my problem, I will ask the instructor how to do.

About me:
Education in progress: 1 September 2014 to 1 July 2017. GuangZhou Vocational College of Technology & Business.
Other summer plans: No major plans.
Why MediaWiki? I can finish this work and I hope I can join MediaWiki as a developers. MediaWiki service and help a lot of people. I am honored to be able to participate in the MediaWiki to service and help more people.
The impact of this project on me: If I can participate in this project, I think this will affect my life. Because this is my first time to join open source organization. I've used a lot of open source projects to develop sites, but I want to be part of an open source project developer.
I have been thinking about my programming is learned from the network, I would like to give back to the network.

Past experience:
I used two months to develop a personal blog that belongs to me. I learned nodejs (express library), mongodb, javascript(jQuery), bootstrap in this project. The source code for this project has been put on github.
I am responsible for fontend. I designed and developed a corporate website. (www.gzjs12315.com) I don’t know how to use php, if you need to learn php, I can learn php a month.

Event Timeline

Aklapper renamed this task from Improvements to ProofreadPage Extension and Wikisource to GSoC Proposal: Improvements to ProofreadPage Extension and Wikisource.Mar 30 2017, 10:32 AM
Aklapper removed a project: Possible-Tech-Projects.

I can study nodejs in two months, I think this is no a problem. I can learn php myself in a month before coding phase.

srishakatux closed this task as Declined.Jan 11 2018, 8:41 PM